import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util';
import { BmModelProject } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-07-31 13:17
 */
interface BmModelProjectCU extends ConditionUtil<BmModelProjectCU> {
    ID: FieldUtil<BmModelProjectCU>;
    SERVICE_CENTER_ID: FieldUtil<BmModelProjectCU>;
    APP_ID: FieldUtil<BmModelProjectCU>;
    PACKAGE_NAME: FieldUtil<BmModelProjectCU>;
    PID: FieldUtil<BmModelProjectCU>;
    CODE: FieldUtil<BmModelProjectCU>;
    DESCRIPTION: FieldUtil<BmModelProjectCU>;
    UPDATE_USER_ID: FieldUtil<BmModelProjectCU>;
    CREATE_USER_ID: FieldUtil<BmModelProjectCU>;
    CREATE_TIME: FieldUtil<BmModelProjectCU>;
    UPDATE_TIME: FieldUtil<BmModelProjectCU>;
}
declare class BmModelProjectMU extends TableUtilImpl<BmModelProjectCU, BmModelProject> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: SubTable[];
    createConditionUtil(): BmModelProjectCU;
    static get ID(): FieldUtil<BmModelProjectCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<BmModelProjectCU>;
    static get APP_ID(): FieldUtil<BmModelProjectCU>;
    static get PACKAGE_NAME(): FieldUtil<BmModelProjectCU>;
    static get PID(): FieldUtil<BmModelProjectCU>;
    static get CODE(): FieldUtil<BmModelProjectCU>;
    static get DESCRIPTION(): FieldUtil<BmModelProjectCU>;
    static get UPDATE_USER_ID(): FieldUtil<BmModelProjectCU>;
    static get CREATE_USER_ID(): FieldUtil<BmModelProjectCU>;
    static get CREATE_TIME(): FieldUtil<BmModelProjectCU>;
    static get UPDATE_TIME(): FieldUtil<BmModelProjectCU>;
    static get CREATE_USER_NAME(): FieldInfo;
    get ID(): FieldUtil<BmModelProjectCU>;
    get SERVICE_CENTER_ID(): FieldUtil<BmModelProjectCU>;
    get APP_ID(): FieldUtil<BmModelProjectCU>;
    get PACKAGE_NAME(): FieldUtil<BmModelProjectCU>;
    get PID(): FieldUtil<BmModelProjectCU>;
    get CODE(): FieldUtil<BmModelProjectCU>;
    get DESCRIPTION(): FieldUtil<BmModelProjectCU>;
    get UPDATE_USER_ID(): FieldUtil<BmModelProjectCU>;
    get CREATE_USER_ID(): FieldUtil<BmModelProjectCU>;
    get CREATE_TIME(): FieldUtil<BmModelProjectCU>;
    get UPDATE_TIME(): FieldUtil<BmModelProjectCU>;
    get CREATE_USER_NAME(): FieldInfo;
}
export { BmModelProjectMU, BmModelProjectCU };
